How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10? <SOLVED>

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Dansk
Level 1
Level 1
Posts: 27
Joined: Thu Jan 20, 2011 9:44 pm

How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10? <SOLVED>

Post by Dansk » Sat Nov 10, 2018 4:15 pm

In a nutshell, I'm trying to get the G'MIC plugin working in GIMP 2.10.6. When I launch GIMP from a terminal, I get the following error:

Code: Select all

/home/kevin/.config/GIMP/2.10/plug-ins/gmic_gimp_qt/gmic_gimp_qt: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.10' not found (required by /home/kevin/.config/GIMP/2.10/plug-ins/gmic_gimp_qt/gmic_gimp_qt)
I've done some digging, and it appears the version of Qt that I have installed - which is up to date according to the Mint 19 repos - is 5.9. Problem identified.

The question is how do I fix it? I've found manual downloads of Qt out there as well as a PPA I could add (https://launchpad.net/~beineri/+archive ... 1.1-bionic), but installing via either of these methods doesn't upgrade the existing installation, it just adds a second installation in another location that GIMP doesn't recognize.

I'm pulling out my hair trying to solve this, I spent hours on google yesterday trying to figure it out to no avail, and I would really appreciate it if someone could point me in the right direction...
Last edited by Dansk on Sat Nov 10, 2018 6:59 pm, edited 1 time in total.

User avatar
phd21
Level 17
Level 17
Posts: 7232
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10?

Post by phd21 » Sat Nov 10, 2018 6:42 pm

HI Dansk,

It would help to know more about your system setup. If you run "inxi -Fxzd" from the console terminal prompt, highlight the results, copy and paste them back here, that should provide enough information.

See this post below. You could use the Gimp 2.10 AppImage which already includes this plugin and other great plugins and you can still install other plugins.

Installing GIMP plugins from .tar.gz file? - Linux Mint Forums
viewtopic.php?f=90&t=281233
Included GIMP plug-ins - The full-featured AppImages package comes with few useful plug-ins:

Resynthesizer - texture synthesis
Liquid rescale - content-aware image resizing based on seam carving
NUfraw - RAW image processing
G'MIC-Qt - the plug-in for the G'MIC filters library
PhFGIMP - front-end for the PhotoFlow editor
Download link to Gimp v2.10.9 AppImage with plugins
https://github.com/aferrero2707/gimp-ap ... 4.AppImage


Hope this helps ...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

Dansk
Level 1
Level 1
Posts: 27
Joined: Thu Jan 20, 2011 9:44 pm

Re: How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10?

Post by Dansk » Sat Nov 10, 2018 6:58 pm

Download link to Gimp v2.10.9 AppImage with plugins
https://github.com/aferrero2707/gimp-ap ... 4.AppImage
You know, I think I'll just use this, that's a far easier solution! Thank you very much for your help. :)

User avatar
phd21
Level 17
Level 17
Posts: 7232
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10?

Post by phd21 » Sat Nov 10, 2018 7:48 pm

Hi Dansk,

You are welcome...
Phd21: Mint KDE 17.3 & 18.3, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

User avatar
BenTrabetere
Level 5
Level 5
Posts: 759
Joined: Sat Jul 19, 2014 12:04 am
Location: Hattiesburg, MS USA

Re: How to I upgrade Qt to 5.10 to get G'MIC plugin working with GIMP 2.10?

Post by BenTrabetere » Sat Nov 10, 2018 10:57 pm

Dansk wrote:
Sat Nov 10, 2018 6:58 pm
Download link to Gimp v2.10.9 AppImage with plugins
https://github.com/aferrero2707/gimp-ap ... 4.AppImage
You know, I think I'll just use this, that's a far easier solution! Thank you very much for your help. :)
You might want to check a couple of times month to see if a new release is available. There have been a dozen or so updates since September, and I find each new release offers something worthwhile. https://github.com/aferrero2707/gimp-ap ... continuous

Andrea Ferrero does some really nice work and deserving of support.
https://www.patreon.com/andreaferrero

Post Reply

Return to “Software & Applications”